import io.netty.channel.Channel;
import io.netty.channel.ChannelHandlerContext;
import io.netty.channel.ChannelInboundMessageHandlerAdapter;
import io.netty.channel.group.ChannelGroup;
import io.netty.channel.group.DefaultChannelGroup;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Logger;


public class FactorServerHandler extends ChannelInboundMessageHandlerAdapter<String> {

    private static Logger log = Logger.getLogger(FactorServerHandler.class.getName());

    private static final ChannelGroup channels = new DefaultChannelGroup();


    @Override
    public void handlerAdded(ChannelHandlerContext ctx) throws Exception {

        Channel incoming = ctx.channel();
        channels.add(ctx.channel());

        incoming.write("FACTOR " + FactorServer.number + "\n");

    }


    @Override
    public void messageReceived(ChannelHandlerContext channelHandlerContext, String s) throws Exception {
        if (s.startsWith("FACTOR")) {
            System.out.println(s.replace("FACTOR", ""));
            System.exit(0);
        }
    }
}
